Subject: [PATCH 1/1 v2] gpio: Provide the STMPE GPIO driver with its own IRQ Domain

From: [email-masked] (Lee Jones)
Date: Mon, 10 Dec 2012 10:26:12 +0000

On Mon, 10 Dec 2012, Linus Walleij wrote:

> On Mon, Dec 10, 2012 at 11:07 AM, Lee Jones <[email-masked]> wrote:
> 
> > Author: Lee Jones <[email-masked]>
> > Date:   Fri Nov 23 12:36:23 2012 +0000
> >
> >     gpio: Provide the STMPE GPIO driver with its own IRQ Domain
> >
> >     The STMPE GPIO driver can be used as an IRQ controller by some
> 
> What is this funny citing and indentation business here... I stripped
> all the whitespace by hand, no big deal, just curious.
> 
> Looks like you e.g. copy/pasted from a "git log" command log rather
> than from an actual patch.

Yeah, for v2 review, I usually use `git show` and copy from "Author:".

> >     related devices. Here we provide it with its very own IRQ Domain
> >     so that IRQs can be issued dynamically. This will stand the
> >     driver in good stead when it is enabled for Device Tree, as this
> >     it a prerequisite.
> >
> >     Cc: Grant Likely <[email-masked]>
> >     Reviewed-by: Viresh Kumar <[email-masked]>
> >     Signed-off-by: Lee Jones <[email-masked]>
> 
> Applied.

Thanks dude.

> I apply this late because not using an irqdomain when we can is
> an abomination so I'm taking the risk.

NP.

-- 
Lee Jones
Linaro ST-Ericsson Landing Team Lead
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog